package com.gic.haoban.manage.web.vo;

import java.io.Serializable;
import java.util.Date;

/**
 * Created 2018/10/22.
 *
 * @author hua
 */
public class EnterpriseDetailVo implements Serializable {
    /**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	private String enterpriseId;
    private String enterpriseName;
    private String EnterpriseLogo;
    private Integer storeCount = 0;
    
    private String wxEnterpriseRelatedId;
    private String wxEnterpriseId;
    private String version;
    private int nodeCount;
    private String enterpriseLogo;
    /**
     * 导购编辑权限
     */
    private Integer clerkEditFlag;
    private String staffId;
    private String staffName;
    private Date createTime;
    private String brandName;
    private Integer wxEnterpriseType;
    private Integer memberOpenCardFlag;
    private int defaultFlag ;

	public String getEnterpriseLogo() {
		return EnterpriseLogo;
	}
	public void setEnterpriseLogo(String enterpriseLogo) {
		EnterpriseLogo = enterpriseLogo;
	}
	public String getEnterpriseId() {
		return enterpriseId;
	}
	public void setEnterpriseId(String enterpriseId) {
		this.enterpriseId = enterpriseId;
	}
	public String getEnterpriseName() {
		return enterpriseName;
	}
	public void setEnterpriseName(String enterpriseName) {
		this.enterpriseName = enterpriseName;
	}
	public Integer getStoreCount() {
		return storeCount;
	}
	public void setStoreCount(Integer storeCount) {
		this.storeCount = storeCount;
	}
    public String getWxEnterpriseRelatedId() {
        return wxEnterpriseRelatedId;
    }
    public String getWxEnterpriseId() {
        return wxEnterpriseId;
    }
    public String getVersion() {
        return version;
    }
    public int getNodeCount() {
        return nodeCount;
    }
    public Integer getClerkEditFlag() {
        return clerkEditFlag;
    }
    public String getStaffId() {
        return staffId;
    }
    public String getStaffName() {
        return staffName;
    }
    public Date getCreateTime() {
        return createTime;
    }
    public String getBrandName() {
        return brandName;
    }
    public Integer getWxEnterpriseType() {
        return wxEnterpriseType;
    }
    public Integer getMemberOpenCardFlag() {
        return memberOpenCardFlag;
    }
    public int getDefaultFlag() {
        return defaultFlag;
    }
    public void setWxEnterpriseRelatedId(String wxEnterpriseRelatedId) {
        this.wxEnterpriseRelatedId = wxEnterpriseRelatedId;
    }
    public void setWxEnterpriseId(String wxEnterpriseId) {
        this.wxEnterpriseId = wxEnterpriseId;
    }
    public void setVersion(String version) {
        this.version = version;
    }
    public void setNodeCount(int nodeCount) {
        this.nodeCount = nodeCount;
    }
    public void setClerkEditFlag(Integer clerkEditFlag) {
        this.clerkEditFlag = clerkEditFlag;
    }
    public void setStaffId(String staffId) {
        this.staffId = staffId;
    }
    public void setStaffName(String staffName) {
        this.staffName = staffName;
    }
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }
    public void setBrandName(String brandName) {
        this.brandName = brandName;
    }
    public void setWxEnterpriseType(Integer wxEnterpriseType) {
        this.wxEnterpriseType = wxEnterpriseType;
    }
    public void setMemberOpenCardFlag(Integer memberOpenCardFlag) {
        this.memberOpenCardFlag = memberOpenCardFlag;
    }
    public void setDefaultFlag(int defaultFlag) {
        this.defaultFlag = defaultFlag;
    }
	
}
